List SIM card data usage notifications
Lists a paginated collection of SIM card data usage notifications. It enables exploring the collection using specific filters.
GET
/
sim_card_data_usage_notifications
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardDataUsageNotification of client.simCardDataUsageNotifications.list()) {
console.log(simCardDataUsageNotification.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_data_usage_notifications.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardDataUsageNotifications.List(context.TODO(), telnyx.SimCardDataUsageNotificationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationListPage;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardDataUsageNotificationListPage page = client.simCardDataUsageNotifications().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_data_usage_notifications.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardDataUsageNotifications->list(
filterSimCardID: '47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-data-usage-notifications list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_data_usage_notifications \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "79228acc-3f08-4e70-ac68-cb5aae8b537a",
"sim_card_id": "b34c1683-cd85-4493-b9a5-315eb4bc5e19",
"threshold": {
"amount": "2048.0",
"unit": "MB"
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page.
Required range:
1 <= x <= 250A valid SIM card ID.
Example:
"47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9"
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardDataUsageNotification of client.simCardDataUsageNotifications.list()) {
console.log(simCardDataUsageNotification.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_data_usage_notifications.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardDataUsageNotifications.List(context.TODO(), telnyx.SimCardDataUsageNotificationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationListPage;
import com.telnyx.sdk.models.simcarddatausagenotifications.SimCardDataUsageNotificationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardDataUsageNotificationListPage page = client.simCardDataUsageNotifications().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_data_usage_notifications.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardDataUsageNotifications->list(
filterSimCardID: '47a1c2b0-cc7b-4ab1-bb98-b33fb0fc61b9',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-data-usage-notifications list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_data_usage_notifications \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "79228acc-3f08-4e70-ac68-cb5aae8b537a",
"sim_card_id": "b34c1683-cd85-4493-b9a5-315eb4bc5e19",
"threshold": {
"amount": "2048.0",
"unit": "MB"
},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}